1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. DataSafe
  6. getSubsettingReportSubsettedObjects
Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi

    This data source provides the list of Subsetting Report Subsetted Objects in Oracle Cloud Infrastructure Data Safe service.

    Gets a list of subsetted tables present in the specified subsetting report and based on the specified query parameters.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testSubsettingReportSubsettedObjects = oci.datasafe.getSubsettingReportSubsettedObjects({
        subsettingReportId: testSubsettingReport.id,
        objects: subsettingReportSubsettedObjectObject,
        schemaNames: subsettingReportSubsettedObjectSchemaName,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_subsetting_report_subsetted_objects = oci.datasafe.get_subsetting_report_subsetted_objects(subsetting_report_id=test_subsetting_report["id"],
        objects=subsetting_report_subsetted_object_object,
        schema_names=subsetting_report_subsetted_object_schema_name)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datasafe.GetSubsettingReportSubsettedObjects(ctx, &datasafe.GetSubsettingReportSubsettedObjectsArgs{
    			SubsettingReportId: testSubsettingReport.Id,
    			Objects:            subsettingReportSubsettedObjectObject,
    			SchemaNames:        subsettingReportSubsettedObjectSchemaName,
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testSubsettingReportSubsettedObjects = Oci.DataSafe.GetSubsettingReportSubsettedObjects.Invoke(new()
        {
            SubsettingReportId = testSubsettingReport.Id,
            Objects = subsettingReportSubsettedObjectObject,
            SchemaNames = subsettingReportSubsettedObjectSchemaName,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.DataSafe.DataSafeFunctions;
    import com.pulumi.oci.DataSafe.inputs.GetSubsettingReportSubsettedObjectsArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testSubsettingReportSubsettedObjects = DataSafeFunctions.getSubsettingReportSubsettedObjects(GetSubsettingReportSubsettedObjectsArgs.builder()
                .subsettingReportId(testSubsettingReport.get("id"))
                .objects(subsettingReportSubsettedObjectObject)
                .schemaNames(subsettingReportSubsettedObjectSchemaName)
                .build());
    
        }
    }
    
    variables:
      testSubsettingReportSubsettedObjects:
        fn::invoke:
          function: oci:DataSafe:getSubsettingReportSubsettedObjects
          arguments:
            subsettingReportId: ${testSubsettingReport.id}
            objects: ${subsettingReportSubsettedObjectObject}
            schemaNames: ${subsettingReportSubsettedObjectSchemaName}
    
    terraform {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_data_safe_subsetting_report_subsetted_objects" "testSubsettingReportSubsettedObjects" {
      subsetting_report_id = testSubsettingReport.id
      objects              = subsettingReportSubsettedObjectObject
      schema_names         = subsettingReportSubsettedObjectSchemaName
    }
    

    Using getSubsettingReportSubsettedObjects

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSubsettingReportSubsettedObjects(args: GetSubsettingReportSubsettedObjectsArgs, opts?: InvokeOptions): Promise<GetSubsettingReportSubsettedObjectsResult>
    function getSubsettingReportSubsettedObjectsOutput(args: GetSubsettingReportSubsettedObjectsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingReportSubsettedObjectsResult>
    def get_subsetting_report_subsetted_objects(filters: Optional[Sequence[GetSubsettingReportSubsettedObjectsFilter]] = None,
                                                objects: Optional[Sequence[str]] = None,
                                                schema_names: Optional[Sequence[str]] = None,
                                                subsetting_report_id: Optional[str] = None,
                                                opts: Optional[InvokeOptions] = None) -> GetSubsettingReportSubsettedObjectsResult
    def get_subsetting_report_subsetted_objects_output(filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingReportSubsettedObjectsFilterArgs]]]] = None,
                                                objects: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
                                                schema_names: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
                                                subsetting_report_id: pulumi.Input[Optional[str]] = None,
                                                opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingReportSubsettedObjectsResult]
    func GetSubsettingReportSubsettedObjects(ctx *Context, args *GetSubsettingReportSubsettedObjectsArgs, opts ...InvokeOption) (*GetSubsettingReportSubsettedObjectsResult, error)
    func GetSubsettingReportSubsettedObjectsOutput(ctx *Context, args *GetSubsettingReportSubsettedObjectsOutputArgs, opts ...InvokeOption) GetSubsettingReportSubsettedObjectsResultOutput

    > Note: This function is named GetSubsettingReportSubsettedObjects in the Go SDK.

    public static class GetSubsettingReportSubsettedObjects 
    {
        public static Task<GetSubsettingReportSubsettedObjectsResult> InvokeAsync(GetSubsettingReportSubsettedObjectsArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingReportSubsettedObjectsResult> Invoke(GetSubsettingReportSubsettedObjectsInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingReportSubsettedObjectsResult> Invoke(GetSubsettingReportSubsettedObjectsInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetSubsettingReportSubsettedObjectsResult> getSubsettingReportSubsettedObjects(GetSubsettingReportSubsettedObjectsArgs args, InvokeOptions options)
    public static Output<GetSubsettingReportSubsettedObjectsResult> getSubsettingReportSubsettedObjects(GetSubsettingReportSubsettedObjectsArgs args, InvokeOptions options)
    public static Output<GetSubsettingReportSubsettedObjectsResult> getSubsettingReportSubsettedObjects(GetSubsettingReportSubsettedObjectsArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:DataSafe/getSubsettingReportSubsettedObjects:getSubsettingReportSubsettedObjects
      arguments:
        # arguments dictionary
    data "oci_data_safe_get_subsetting_report_subsetted_objects" "name" {
        # arguments
    }

    The following arguments are supported:

    SubsettingReportId string
    The OCID of the subsetting report.
    Filters List<GetSubsettingReportSubsettedObjectsFilter>
    Objects List<string>
    A filter to return only items related to a specific object name.
    SchemaNames List<string>
    A filter to return only items related to specific schema name.
    SubsettingReportId string
    The OCID of the subsetting report.
    Filters []GetSubsettingReportSubsettedObjectsFilter
    Objects []string
    A filter to return only items related to a specific object name.
    SchemaNames []string
    A filter to return only items related to specific schema name.
    subsetting_report_id string
    The OCID of the subsetting report.
    filters list(object)
    objects list(string)
    A filter to return only items related to a specific object name.
    schema_names list(string)
    A filter to return only items related to specific schema name.
    subsettingReportId String
    The OCID of the subsetting report.
    filters List<GetSubsettingReportSubsettedObjectsFilter>
    objects List<String>
    A filter to return only items related to a specific object name.
    schemaNames List<String>
    A filter to return only items related to specific schema name.
    subsettingReportId string
    The OCID of the subsetting report.
    filters GetSubsettingReportSubsettedObjectsFilter[]
    objects string[]
    A filter to return only items related to a specific object name.
    schemaNames string[]
    A filter to return only items related to specific schema name.
    subsetting_report_id str
    The OCID of the subsetting report.
    filters Sequence[GetSubsettingReportSubsettedObjectsFilter]
    objects Sequence[str]
    A filter to return only items related to a specific object name.
    schema_names Sequence[str]
    A filter to return only items related to specific schema name.
    subsettingReportId String
    The OCID of the subsetting report.
    filters List<Property Map>
    objects List<String>
    A filter to return only items related to a specific object name.
    schemaNames List<String>
    A filter to return only items related to specific schema name.

    getSubsettingReportSubsettedObjects Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettedObjectCollections List<GetSubsettingReportSubsettedObjectsSubsettedObjectCollection>
    The list of subsetted_object_collection.
    SubsettingReportId string
    Filters List<GetSubsettingReportSubsettedObjectsFilter>
    Objects List<string>
    The name of the object (table or editioning view) subsetted
    SchemaNames List<string>
    The name of the schema that contains the subsetted object
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettedObjectCollections []GetSubsettingReportSubsettedObjectsSubsettedObjectCollection
    The list of subsetted_object_collection.
    SubsettingReportId string
    Filters []GetSubsettingReportSubsettedObjectsFilter
    Objects []string
    The name of the object (table or editioning view) subsetted
    SchemaNames []string
    The name of the schema that contains the subsetted object
    id string
    The provider-assigned unique ID for this managed resource.
    subsetted_object_collections list(object)
    The list of subsetted_object_collection.
    subsetting_report_id string
    filters list(object)
    objects list(string)
    The name of the object (table or editioning view) subsetted
    schema_names list(string)
    The name of the schema that contains the subsetted object
    id String
    The provider-assigned unique ID for this managed resource.
    subsettedObjectCollections List<GetSubsettingReportSubsettedObjectsSubsettedObjectCollection>
    The list of subsetted_object_collection.
    subsettingReportId String
    filters List<GetSubsettingReportSubsettedObjectsFilter>
    objects List<String>
    The name of the object (table or editioning view) subsetted
    schemaNames List<String>
    The name of the schema that contains the subsetted object
    id string
    The provider-assigned unique ID for this managed resource.
    subsettedObjectCollections GetSubsettingReportSubsettedObjectsSubsettedObjectCollection[]
    The list of subsetted_object_collection.
    subsettingReportId string
    filters GetSubsettingReportSubsettedObjectsFilter[]
    objects string[]
    The name of the object (table or editioning view) subsetted
    schemaNames string[]
    The name of the schema that contains the subsetted object
    id str
    The provider-assigned unique ID for this managed resource.
    subsetted_object_collections Sequence[GetSubsettingReportSubsettedObjectsSubsettedObjectCollection]
    The list of subsetted_object_collection.
    subsetting_report_id str
    filters Sequence[GetSubsettingReportSubsettedObjectsFilter]
    objects Sequence[str]
    The name of the object (table or editioning view) subsetted
    schema_names Sequence[str]
    The name of the schema that contains the subsetted object
    id String
    The provider-assigned unique ID for this managed resource.
    subsettedObjectCollections List<Property Map>
    The list of subsetted_object_collection.
    subsettingReportId String
    filters List<Property Map>
    objects List<String>
    The name of the object (table or editioning view) subsetted
    schemaNames List<String>
    The name of the schema that contains the subsetted object

    Supporting Types

    GetSubsettingReportSubsettedObjectsFilter

    Name string
    Values List<string>
    Regex bool
    Name string
    Values []string
    Regex bool
    name string
    values list(string)
    regex bool
    name String
    values List<String>
    regex Boolean
    name string
    values string[]
    regex boolean
    name str
    values Sequence[str]
    regex bool
    name String
    values List<String>
    regex Boolean

    GetSubsettingReportSubsettedObjectsSubsettedObjectCollection

    items list(object)
    An array of subsetted summary objects
    items List<Property Map>
    An array of subsetted summary objects

    GetSubsettingReportSubsettedObjectsSubsettedObjectCollectionItem

    Object string
    A filter to return only items related to a specific object name.
    ObjectType string
    The type of the object (table or editioning view) subsetted
    RowCountAfterSubsetting string
    The count of rows in the subsetted table after subsetting
    RowCountBeforeSubsetting string
    The count of rows in the subsetted table before subsetting
    SchemaName string
    A filter to return only items related to specific schema name.
    SizeAfterSubsettingInKbs string
    The size of the subsetted table after subsetting in KBs
    SizeBeforeSubsettingInKbs string
    The size of the subsetted table before subsetting in KBs
    Object string
    A filter to return only items related to a specific object name.
    ObjectType string
    The type of the object (table or editioning view) subsetted
    RowCountAfterSubsetting string
    The count of rows in the subsetted table after subsetting
    RowCountBeforeSubsetting string
    The count of rows in the subsetted table before subsetting
    SchemaName string
    A filter to return only items related to specific schema name.
    SizeAfterSubsettingInKbs string
    The size of the subsetted table after subsetting in KBs
    SizeBeforeSubsettingInKbs string
    The size of the subsetted table before subsetting in KBs
    object string
    A filter to return only items related to a specific object name.
    object_type string
    The type of the object (table or editioning view) subsetted
    row_count_after_subsetting string
    The count of rows in the subsetted table after subsetting
    row_count_before_subsetting string
    The count of rows in the subsetted table before subsetting
    schema_name string
    A filter to return only items related to specific schema name.
    size_after_subsetting_in_kbs string
    The size of the subsetted table after subsetting in KBs
    size_before_subsetting_in_kbs string
    The size of the subsetted table before subsetting in KBs
    object String
    A filter to return only items related to a specific object name.
    objectType String
    The type of the object (table or editioning view) subsetted
    rowCountAfterSubsetting String
    The count of rows in the subsetted table after subsetting
    rowCountBeforeSubsetting String
    The count of rows in the subsetted table before subsetting
    schemaName String
    A filter to return only items related to specific schema name.
    sizeAfterSubsettingInKbs String
    The size of the subsetted table after subsetting in KBs
    sizeBeforeSubsettingInKbs String
    The size of the subsetted table before subsetting in KBs
    object string
    A filter to return only items related to a specific object name.
    objectType string
    The type of the object (table or editioning view) subsetted
    rowCountAfterSubsetting string
    The count of rows in the subsetted table after subsetting
    rowCountBeforeSubsetting string
    The count of rows in the subsetted table before subsetting
    schemaName string
    A filter to return only items related to specific schema name.
    sizeAfterSubsettingInKbs string
    The size of the subsetted table after subsetting in KBs
    sizeBeforeSubsettingInKbs string
    The size of the subsetted table before subsetting in KBs
    object str
    A filter to return only items related to a specific object name.
    object_type str
    The type of the object (table or editioning view) subsetted
    row_count_after_subsetting str
    The count of rows in the subsetted table after subsetting
    row_count_before_subsetting str
    The count of rows in the subsetted table before subsetting
    schema_name str
    A filter to return only items related to specific schema name.
    size_after_subsetting_in_kbs str
    The size of the subsetted table after subsetting in KBs
    size_before_subsetting_in_kbs str
    The size of the subsetted table before subsetting in KBs
    object String
    A filter to return only items related to a specific object name.
    objectType String
    The type of the object (table or editioning view) subsetted
    rowCountAfterSubsetting String
    The count of rows in the subsetted table after subsetting
    rowCountBeforeSubsetting String
    The count of rows in the subsetted table before subsetting
    schemaName String
    A filter to return only items related to specific schema name.
    sizeAfterSubsettingInKbs String
    The size of the subsetted table after subsetting in KBs
    sizeBeforeSubsettingInKbs String
    The size of the subsetted table before subsetting in KBs

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo oci logo
    Viewing docs for Oracle Cloud Infrastructure v5.5.0
    published on Thursday, Oct 22, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial